#
# uxyz10.rb
#
# $Id: uxyz10.rb,v 1.1 2000/11/23 08:19:17 keiko Exp $
#

require "narray"
require "numru/dcl"

include NumRu
include Math


id0 = 19811201
nd = 180

#-- graph ---
iws = (ARGV[0] || (puts ' WORKSTATION ID (I)  ? ;'; DCL::sgpwsn; gets)).to_i
DCL::gropn iws

DCL::uzfact(0.7)
DCL::uzlset('LOFFSET', true)

DCL::grfrm

DCL::sgswnd(0.0, nd, 0.0, 100.0)
DCL::sgsvpt(0.4, 0.9, 0.3, 0.8)
DCL::sgstrn(1)
DCL::sgstrf

DCL::slpvpr(1)

DCL::ucxacl('B', id0, nd)
DCL::uxsaxs('B')
DCL::uxaxdv('B', 10.0, 20.0)
DCL::uxsttl('B', 'DAY NUMBER', 0.0)
DCL::ucxacl('T', id0, nd)

DCL::uyaxdv('L', 5.0, 10.0)
DCL::uyaxdv('R', 5.0, 10.0)
DCL::uysttl('L', 'CELSIUS SCALE', 0.0)
DCL::uysaxs('L')
DCL::uzrset('YOFFSET', 273.15)
DCL::uzrset('YFACT  ', 1.0)
DCL::uyaxdv('L', 5.0, 10.0)
DCL::uysttl('L', 'KELVIN SCALE', 0.0)
DCL::uysaxs('L')
DCL::uzrset('YOFFSET', 32.0)
DCL::uzrset('YFACT  ', 1.8)
DCL::uyaxdv('L', 10.0, 20.0)
DCL::uysttl('L', 'FAHRENHEIT SCALE', 0.0)

DCL::uxsttl('T', '( LOFSET=.TRUE. )', 0.0)
DCL::uxsttl('T', 'UXSAXS/UYSAXS', 0.0)

DCL::grcls

